Bug 1796322 - Documentation needed for realtime kernel configuration during initial cluster install
Summary: Documentation needed for realtime kernel configuration during initial cluster...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sinny Kumari
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 07:18 UTC by Sinny Kumari
Modified: 2020-05-13 21:55 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:55:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2992 None closed Bug 1796322: [release-4.4] docs: Docs for setting kernelType during initial cluster install 2020-05-13 14:04:43 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:55:34 UTC

Description Sinny Kumari 2020-01-30 07:18:48 UTC
Description of problem:
With Openshift 4.4 and onward release, Machine Config Operator supports switching from traditional to realtime kernel on RHCOS node. kernel switch can be performed via MachineConfig during a new cluster launch (as day 1) or on a running cluster (as day 2). It will be good to have steps documented in installer repo documentation which would work as a reference for needed users.

Version-Release number of the following components:
Installer master repo doc section https://github.com/openshift/installer/blob/master/docs/user/customization.md

Comment 1 Sinny Kumari 2020-01-30 07:26:37 UTC
Upstream patch - https://github.com/openshift/installer/pull/2992

Comment 3 Johnny Liu 2020-02-05 06:40:26 UTC
LGTM.

Comment 4 Sinny Kumari 2020-04-22 09:39:28 UTC
Needed doc is already at https://github.com/openshift/installer/blob/master/docs/user/customization.md

Comment 6 errata-xmlrpc 2020-05-13 21:55:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.